# Package name without php prefix
%define		php_extension	snmp
###############################################################

Name:	 	php-%php_extension
Version:	%php_version
Release: %php_release
Group:		System/Servers
License:	PHP Licence

Requires:	libucd-snmp
Prereq:		php-libs = 1:%php_version-%php_release
Summary:	SNMP module for PHP4
%add_serial php-devel

Source1:	php-%php_extension.ini
Source2:	php-%php_extension-params.sh
Patch0:		php-%php_extension-4.3.11-alt-netsnmp.patch
BuildRequires(pre): rpm-build-php
# Automatically added by buildreq on Mon Dec 22 2003
BuildRequires: gcc-c++ libnet-snmp-devel libssl-devel 
BuildRequires: libstdc++-devel net-snmp-utils
BuildRequires: php-devel = 1:%php_version-%php_release

%description
The php-snmp package includes a dynamic shared object (DSO) that adds 
UCD-SNMP software support to PHP4.

%prep
%setup -T -c
cp -pr %php_extsrcdir/%php_extension/* .
%patch0 -p1

%build
phpize

CFLAGS="$RPM_OPT_FLAGS -fPIC -L%_libdir"
export CFLAGS  

%configure \
  --with-snmp=%_usr \
  --with-openssl-dir=%_usr

%php_make

%install
%php_make_install
%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%files
%php_extconf/%php_extension
%php_extdir/*
%doc CREDITS

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Fri Mar 18 2011 Timur Aitov <timonbl4@altlinux.org> 1:4.4.8-alt1.M41.1
- rebuild with new php version (4.4.8-alt1.M41.1)

* Tue Jan 08 2008 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.8-alt1
- rebuild with latest PHP

* Fri May 18 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.7-alt1
- rebuild with latest PHP

* Fri Apr 13 2007 Denis Smirnov <mithraen@altlinux.ru> 1:4.4.6-alt2
- rebuild with latest PHP

* Sun Mar 18 2007 Denis Smirnov <mithraen@altlinux.ru> 1:4.4.6-alt1
- rebuild with latest PHP

* Sat Sep 30 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.4-alt2
- rebuild with latest PHP

* Sun Sep 10 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.4-alt1
- rebuild with latest PHP

* Sat Jul 01 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.3.cvs20060626-alt1

* Sun Dec 11 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.2-alt0.cvs20051121.1
- rebuild with latest PHP

* Thu Nov 10 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.1-alt0.cvs20051010
- rebuild with latest PHP

* Tue Oct 18 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.1-alt0.cvs20050729.2
- spec cleanup

* Fri Sep 16 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.1-alt0.cvs20050729.1
- rebuild with latest PHP

* Fri Feb 25 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.11-alt0.cvs20050209.1
- rebuild with latest PHP

* Thu Dec 23 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.11-alt0.cvs20041217.1
- fix build with latest net-snmp

* Fri Nov 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1:4.3.9-alt0.cvs20040802.1
- Removed libelf-devel from build dependencies.

* Fri Aug 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.9-alt0.cvs20040802
- New cvs snapshot;
- security fixes;

* Mon May 31 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040531
- New cvs snapshot;
- Environment variable PHPRC overriding is removed.

* Sat May 22 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.7-alt0.cvs20040519
- New cvs snapshot;
- Extension module moved to /usr/lib/php/%%php_version/extensions .

* Fri Jan 30 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040130
- New cvs snapshot.
- Shared Memory support added (enable-shmop).

* Tue Jan 06 2004 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20040106
- postin/preun script bugfix.

* Mon Dec 22 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031211
- New cvs snapshot php4.3.5 CVS-20031211
- build scheme fix:
  - postin bugfix (#3324).
- link with libnet-snmp.

* Wed Nov 12 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031112
- New cvs snapshot php4.3.5 CVS-20031112
- minor build scheme fix:
  - macro php_optflags added.
  - sapi build environment changed.

* Sat Nov 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031101
- New cvs snapshot php4.3.4 CVS-20031101

* Fri Oct 17 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031017
- New CVS snapshot.
- New scheme loading extensions. From now all extensions in 
  the /etc/<SAPI>/php.d/*.ini (Fixed #2940). This scheme fixed #2532.
  For more information please read documentation.
- New scheme creating/installing SAPI.
  + each SAPI may have own config file;
  + each SAPI may have own extensions kit.
- spec changes.

* Sat Aug 30 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20030830
- fresh cvs snapshot.

* Wed Aug 06 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.3-alt0.cvs20030806
- new CVS build.
- bug #0002779 closed.

* Wed Jul 09 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.3-alt0.cvs20030708
- new CVS build

* Sun Apr 06 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.2-alt0.cvs20030405
- first build for ALT Linux 
